
package sklep.generated;

import javax.xml.namespace.QName;
import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlElementDecl;
import jakarta.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the sklep.generated package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Foto_QNAME = new QName("http://soap.sklep/", "foto");
    private final static QName _FotoResponse_QNAME = new QName("http://soap.sklep/", "fotoResponse");
    private final static QName _Klient_QNAME = new QName("http://soap.sklep/", "klient");
    private final static QName _KlientResponse_QNAME = new QName("http://soap.sklep/", "klientResponse");
    private final static QName _ProduktWgId_QNAME = new QName("http://soap.sklep/", "produktWgId");
    private final static QName _ProduktWgIdResponse_QNAME = new QName("http://soap.sklep/", "produktWgIdResponse");
    private final static QName _ProduktyWgCen_QNAME = new QName("http://soap.sklep/", "produktyWgCen");
    private final static QName _ProduktyWgCenResponse_QNAME = new QName("http://soap.sklep/", "produktyWgCenResponse");
    private final static QName _WszystkieProdukty_QNAME = new QName("http://soap.sklep/", "wszystkieProdukty");
    private final static QName _WszystkieProduktyResponse_QNAME = new QName("http://soap.sklep/", "wszystkieProduktyResponse");
    private final static QName _ZamowienieWgId_QNAME = new QName("http://soap.sklep/", "zamowienieWgId");
    private final static QName _ZamowienieWgIdResponse_QNAME = new QName("http://soap.sklep/", "zamowienieWgIdResponse");
    private final static QName _ZapiszProdukt_QNAME = new QName("http://soap.sklep/", "zapiszProdukt");
    private final static QName _ZapiszProduktResponse_QNAME = new QName("http://soap.sklep/", "zapiszProduktResponse");
    private final static QName _RecordNotFound_QNAME = new QName("http://soap.sklep/", "RecordNotFound");
    private final static QName _DBException_QNAME = new QName("http://soap.sklep/", "DBException");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: sklep.generated
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Order }
     * 
     * @return
     *     the new instance of {@link Order }
     */
    public Order createOrder() {
        return new Order();
    }

    /**
     * Create an instance of {@link Foto }
     * 
     * @return
     *     the new instance of {@link Foto }
     */
    public Foto createFoto() {
        return new Foto();
    }

    /**
     * Create an instance of {@link FotoResponse }
     * 
     * @return
     *     the new instance of {@link FotoResponse }
     */
    public FotoResponse createFotoResponse() {
        return new FotoResponse();
    }

    /**
     * Create an instance of {@link Klient }
     * 
     * @return
     *     the new instance of {@link Klient }
     */
    public Klient createKlient() {
        return new Klient();
    }

    /**
     * Create an instance of {@link KlientResponse }
     * 
     * @return
     *     the new instance of {@link KlientResponse }
     */
    public KlientResponse createKlientResponse() {
        return new KlientResponse();
    }

    /**
     * Create an instance of {@link ProduktWgId }
     * 
     * @return
     *     the new instance of {@link ProduktWgId }
     */
    public ProduktWgId createProduktWgId() {
        return new ProduktWgId();
    }

    /**
     * Create an instance of {@link ProduktWgIdResponse }
     * 
     * @return
     *     the new instance of {@link ProduktWgIdResponse }
     */
    public ProduktWgIdResponse createProduktWgIdResponse() {
        return new ProduktWgIdResponse();
    }

    /**
     * Create an instance of {@link ProduktyWgCen }
     * 
     * @return
     *     the new instance of {@link ProduktyWgCen }
     */
    public ProduktyWgCen createProduktyWgCen() {
        return new ProduktyWgCen();
    }

    /**
     * Create an instance of {@link ProduktyWgCenResponse }
     * 
     * @return
     *     the new instance of {@link ProduktyWgCenResponse }
     */
    public ProduktyWgCenResponse createProduktyWgCenResponse() {
        return new ProduktyWgCenResponse();
    }

    /**
     * Create an instance of {@link WszystkieProdukty }
     * 
     * @return
     *     the new instance of {@link WszystkieProdukty }
     */
    public WszystkieProdukty createWszystkieProdukty() {
        return new WszystkieProdukty();
    }

    /**
     * Create an instance of {@link WszystkieProduktyResponse }
     * 
     * @return
     *     the new instance of {@link WszystkieProduktyResponse }
     */
    public WszystkieProduktyResponse createWszystkieProduktyResponse() {
        return new WszystkieProduktyResponse();
    }

    /**
     * Create an instance of {@link ZamowienieWgId }
     * 
     * @return
     *     the new instance of {@link ZamowienieWgId }
     */
    public ZamowienieWgId createZamowienieWgId() {
        return new ZamowienieWgId();
    }

    /**
     * Create an instance of {@link ZamowienieWgIdResponse }
     * 
     * @return
     *     the new instance of {@link ZamowienieWgIdResponse }
     */
    public ZamowienieWgIdResponse createZamowienieWgIdResponse() {
        return new ZamowienieWgIdResponse();
    }

    /**
     * Create an instance of {@link ZapiszProdukt }
     * 
     * @return
     *     the new instance of {@link ZapiszProdukt }
     */
    public ZapiszProdukt createZapiszProdukt() {
        return new ZapiszProdukt();
    }

    /**
     * Create an instance of {@link ZapiszProduktResponse }
     * 
     * @return
     *     the new instance of {@link ZapiszProduktResponse }
     */
    public ZapiszProduktResponse createZapiszProduktResponse() {
        return new ZapiszProduktResponse();
    }

    /**
     * Create an instance of {@link RecordNotFound }
     * 
     * @return
     *     the new instance of {@link RecordNotFound }
     */
    public RecordNotFound createRecordNotFound() {
        return new RecordNotFound();
    }

    /**
     * Create an instance of {@link DBException }
     * 
     * @return
     *     the new instance of {@link DBException }
     */
    public DBException createDBException() {
        return new DBException();
    }

    /**
     * Create an instance of {@link Product }
     * 
     * @return
     *     the new instance of {@link Product }
     */
    public Product createProduct() {
        return new Product();
    }

    /**
     * Create an instance of {@link Customer }
     * 
     * @return
     *     the new instance of {@link Customer }
     */
    public Customer createCustomer() {
        return new Customer();
    }

    /**
     * Create an instance of {@link OrderProduct }
     * 
     * @return
     *     the new instance of {@link OrderProduct }
     */
    public OrderProduct createOrderProduct() {
        return new OrderProduct();
    }

    /**
     * Create an instance of {@link Order.Products }
     * 
     * @return
     *     the new instance of {@link Order.Products }
     */
    public Order.Products createOrderProducts() {
        return new Order.Products();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Foto }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Foto }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "foto")
    public JAXBElement<Foto> createFoto(Foto value) {
        return new JAXBElement<>(_Foto_QNAME, Foto.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FotoResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link FotoResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "fotoResponse")
    public JAXBElement<FotoResponse> createFotoResponse(FotoResponse value) {
        return new JAXBElement<>(_FotoResponse_QNAME, FotoResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Klient }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link Klient }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "klient")
    public JAXBElement<Klient> createKlient(Klient value) {
        return new JAXBElement<>(_Klient_QNAME, Klient.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link KlientResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link KlientResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "klientResponse")
    public JAXBElement<KlientResponse> createKlientResponse(KlientResponse value) {
        return new JAXBElement<>(_KlientResponse_QNAME, KlientResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProduktWgId }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ProduktWgId }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "produktWgId")
    public JAXBElement<ProduktWgId> createProduktWgId(ProduktWgId value) {
        return new JAXBElement<>(_ProduktWgId_QNAME, ProduktWgId.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProduktWgIdResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ProduktWgIdResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "produktWgIdResponse")
    public JAXBElement<ProduktWgIdResponse> createProduktWgIdResponse(ProduktWgIdResponse value) {
        return new JAXBElement<>(_ProduktWgIdResponse_QNAME, ProduktWgIdResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProduktyWgCen }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ProduktyWgCen }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "produktyWgCen")
    public JAXBElement<ProduktyWgCen> createProduktyWgCen(ProduktyWgCen value) {
        return new JAXBElement<>(_ProduktyWgCen_QNAME, ProduktyWgCen.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ProduktyWgCenResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ProduktyWgCenResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "produktyWgCenResponse")
    public JAXBElement<ProduktyWgCenResponse> createProduktyWgCenResponse(ProduktyWgCenResponse value) {
        return new JAXBElement<>(_ProduktyWgCenResponse_QNAME, ProduktyWgCenResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WszystkieProdukty }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link WszystkieProdukty }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "wszystkieProdukty")
    public JAXBElement<WszystkieProdukty> createWszystkieProdukty(WszystkieProdukty value) {
        return new JAXBElement<>(_WszystkieProdukty_QNAME, WszystkieProdukty.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link WszystkieProduktyResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link WszystkieProduktyResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "wszystkieProduktyResponse")
    public JAXBElement<WszystkieProduktyResponse> createWszystkieProduktyResponse(WszystkieProduktyResponse value) {
        return new JAXBElement<>(_WszystkieProduktyResponse_QNAME, WszystkieProduktyResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ZamowienieWgId }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ZamowienieWgId }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "zamowienieWgId")
    public JAXBElement<ZamowienieWgId> createZamowienieWgId(ZamowienieWgId value) {
        return new JAXBElement<>(_ZamowienieWgId_QNAME, ZamowienieWgId.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ZamowienieWgIdResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ZamowienieWgIdResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "zamowienieWgIdResponse")
    public JAXBElement<ZamowienieWgIdResponse> createZamowienieWgIdResponse(ZamowienieWgIdResponse value) {
        return new JAXBElement<>(_ZamowienieWgIdResponse_QNAME, ZamowienieWgIdResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ZapiszProdukt }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ZapiszProdukt }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "zapiszProdukt")
    public JAXBElement<ZapiszProdukt> createZapiszProdukt(ZapiszProdukt value) {
        return new JAXBElement<>(_ZapiszProdukt_QNAME, ZapiszProdukt.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ZapiszProduktResponse }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link ZapiszProduktResponse }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "zapiszProduktResponse")
    public JAXBElement<ZapiszProduktResponse> createZapiszProduktResponse(ZapiszProduktResponse value) {
        return new JAXBElement<>(_ZapiszProduktResponse_QNAME, ZapiszProduktResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RecordNotFound }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RecordNotFound }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "RecordNotFound")
    public JAXBElement<RecordNotFound> createRecordNotFound(RecordNotFound value) {
        return new JAXBElement<>(_RecordNotFound_QNAME, RecordNotFound.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DBException }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link DBException }{@code >}
     */
    @XmlElementDecl(namespace = "http://soap.sklep/", name = "DBException")
    public JAXBElement<DBException> createDBException(DBException value) {
        return new JAXBElement<>(_DBException_QNAME, DBException.class, null, value);
    }

}
